import pathlib

import setuptools

setuptools.setup(
    name="rescriptoon",
    use_scm_version=True,
    packages=setuptools.find_packages(),
    # TODO description="",
    long_description=pathlib.Path(__file__).parent.joinpath("README.md").read_text(),
    long_description_content_type="text/markdown",
    author="Fabian Peter Hammerle",
    author_email="fabian@hammerle.me",
    url="http://git.hammerle.me/fphammerle/rescriptoon",
    keywords=["game", "launcher", "toontown rewritten", "ttr"],
    classifiers=[
        "Development Status :: 4 - Beta",
        "Intended Audience :: End Users/Desktop",
        "License :: OSI Approved :: MIT License",
        "Operating System :: POSIX :: Linux",
        "Programming Language :: Python :: 3",
        "Topic :: Games/Entertainment",
        "Topic :: Utilities",
    ],
    scripts=["scripts/tooncher-extend-controls"],
    install_requires=["xlib", "psutil"],
    setup_requires=["setuptools_scm"],
    tests_require=["pytest"],
)
